Classes | Namespaces | Enumerations | Functions
MsWrd1Parser.cxx File Reference
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`
`#include <sstream>`
`#include <librevenge/librevenge.h>`
`#include "MWAWTextListener.hxx"`
`#include "MWAWFont.hxx"`
`#include "MWAWFontConverter.hxx"`
`#include "MWAWHeader.hxx"`
`#include "MWAWParagraph.hxx"`
`#include "MWAWPictMac.hxx"`
`#include "MWAWPosition.hxx"`
`#include "MWAWPrinter.hxx"`
`#include "MWAWSection.hxx"`
`#include "MWAWSubDocument.hxx"`
`#include "MsWrd1Parser.hxx"`

## Classes
struct | MsWrd1ParserInternal::PLC
| Internal: class to store the PLC: Pointer List Content ? More...
struct | MsWrd1ParserInternal::Font
| Internal: the font of a MsWrd1Parser. More...
struct | MsWrd1ParserInternal::Paragraph
| Internal: the paragraph of a MsWrd1Parser. More...
struct | MsWrd1ParserInternal::State
| Internal: the state of a MsWrd1Parser. More...
class | MsWrd1ParserInternal::SubDocument
| Internal: the subdocument of a MsWrdParser. More...

## Namespaces
| MsWrd1ParserInternal
| Internal: the structures of a MsWrd1Parser.

## Enumerations
enum | MsWrd1ParserInternal::PLCType { MsWrd1ParserInternal::FONT =0, MsWrd1ParserInternal::RULER, MsWrd1ParserInternal::FOOTNOTE, MsWrd1ParserInternal::PAGE, MsWrd1ParserInternal::ZONE, MsWrd1ParserInternal::UNKNOWN }
| different types More...

## Functions
std::ostream & | MsWrd1ParserInternal::operator<< (std::ostream &o, PLC const &plc)
std::ostream & | MsWrd1ParserInternal::operator<< (std::ostream &o, Font const &ft)
std::ostream & | MsWrd1ParserInternal::operator<< (std::ostream &o, Paragraph const &para)